FLOW_CallApi.DTO_Request
Class
apex
global inherited sharing class FLOW_CallApi.DTO_RequestData Transfer Object representing the web service call request.
Since: 1.0
Fields
| Field | Description |
|---|---|
| global String apiName | The full class name of the API handler to invoke. |
| global String extractPath | A JSONPath expression to extract a specific element from the response body. |
| global String idempotencyKey | Explicit idempotency key for duplicate detection. |
| global String inputDelimiter | The delimiter used to split input parameters, defaults to a comma. |
| global String inputs | A comma-delimited list of parameters in the format paramName=paramValue. |
| global String recordId | The ID of the record triggering the callout. |
Field Details
apiName
apex
@InvocableVariable(required=true description='The full class name of the API handler' label='API Name') global String apiNameType: String
The full class name of the API handler to invoke.
Since: 1.0
extractPath
apex
@InvocableVariable(required=false description='Element to extract from the JSON response, using JsonPath Notation' label='Extract Path (JSONPath)') global String extractPathType: String
A JSONPath expression to extract a specific element from the response body.
Since: 1.0
idempotencyKey
apex
@InvocableVariable(required=false description='Explicit idempotency key for duplicate detection. If blank, auto-generated when enabled.' label='Idempotency Key') global String idempotencyKeyType: String
Explicit idempotency key for duplicate detection. If blank, auto-generated when enabled.
Since: 1.0
inputDelimiter
apex
@InvocableVariable(required=false description='The delimiter to use when splitting parameters, defaults to a comma' label='Input Delimiter') global String inputDelimiterType: String
The delimiter used to split input parameters, defaults to a comma.
Since: 1.0
inputs
apex
@InvocableVariable(required=false description='A list of parameters in the format paramName=paramValue,paramName2=paramValue2' label='Inputs') global String inputsType: String
A comma-delimited list of parameters in the format paramName=paramValue.
Since: 1.0
recordId
apex
@InvocableVariable(required=false description='The ID of the object triggering the callout' label='Record Id') global String recordIdType: String
The ID of the record triggering the callout.
Since: 1.0